Subject: [PATCH v2 0/4] git-commit-graph.txt: various cleanups

From: Martin Ågren <[email-masked]>
Date: Thu, 27 Sep 2018 21:12:18 +0200

This v2 starts with the same two patches as v1 did, then goes on to
change "[commit] graph file" to "commit-graph file" with a dash, to
match other instances as well as Derrick's feedback.

Martin Ågren (4):
  git-commit-graph.txt: fix bullet lists
  git-commit-graph.txt: typeset more in monospace
  git-commit-graph.txt: refer to "*commit*-graph file"
  Doc: refer to the "commit-graph file" with dash

 Documentation/git-commit-graph.txt       | 31 ++++++++++++------------
 Documentation/technical/commit-graph.txt |  8 +++---
 2 files changed, 20 insertions(+), 19 deletions(-)

Range-diff against v1:
1:  222721870b = 1:  837ef2f231 git-commit-graph.txt: fix bullet lists
2:  acac5c3584 = 2:  9759a162ca git-commit-graph.txt: typeset more in monospace
3:  65f42c947a ! 3:  759bc886d8 git-commit-graph.txt: refer to "*commit* graph file"
    @@ -1,17 +1,17 @@
     Author: Martin Ågren <[email-masked]>
     
    -    git-commit-graph.txt: refer to "*commit* graph file"
    +    git-commit-graph.txt: refer to "*commit*-graph file"
     
    -    This document sometimes refers to the "commit graph file" as just "the
    +    This document sometimes refers to the "commit-graph file" as just "the
         graph file". This saves a couple of words here and there at the risk of
         confusion. In particular, the documentation for `git commit-graph read`
         appears to suggest that there are indeed different types of graph files.
     
         Let's just write out the full name everywhere.
     
    -    The full name, by the way, is not the "commit-graph file" with a dash,
    -    cf. the synopsis. Use the dashless form. (The next commit will fix the
    -    remaining few instances of the "commit-graph file" in this document.)
    +    The full name, by the way, is not the dash-less "commit graph file".
    +    Use the dashed form. (The next commit will fix the remaining few
    +    instances of the "commit graph file" in this document.)
     
         Signed-off-by: Martin Ågren <[email-masked]>
     
    @@ -24,7 +24,7 @@
      
     -Read a graph file given by the commit-graph file and output basic
     -details about the graph file. Used for debugging purposes.
    -+Read the commit graph file and output basic details about it.
    ++Read the commit-graph file and output basic details about it.
     +Used for debugging purposes.
      
      'verify'::
    @@ -35,7 +35,7 @@
      
     -* Write a graph file, extending the current graph file using commits
     -  in `<pack-index>`.
    -+* Write a commit graph file, extending the current commit graph file
    ++* Write a commit-graph file, extending the current commit-graph file
     +  using commits in `<pack-index>`.
      +
      ------------------------------------------------
    @@ -43,16 +43,14 @@
      ------------------------------------------------
      
     -* Write a graph file containing all reachable commits.
    -+* Write a commit graph file containing all reachable commits.
    ++* Write a commit-graph file containing all reachable commits.
      +
      ------------------------------------------------
      $ git show-ref -s | git commit-graph write --stdin-commits
      ------------------------------------------------
      
     -* Write a graph file containing all commits in the current
    --  commit-graph file along with those reachable from `HEAD`.
    -+* Write a commit graph file containing all commits in the current
    -+  commit graph file along with those reachable from `HEAD`.
    ++* Write a commit-graph file containing all commits in the current
    +   commit-graph file along with those reachable from `HEAD`.
      +
      ------------------------------------------------
    - $ git rev-parse HEAD | git commit-graph write --stdin-commits --append
4:  fc81147ea4 < -:  ---------- git-commit-graph.txt: refer to the "commit graph file" without dash
-:  ---------- > 4:  99b64287ec Doc: refer to the "commit-graph file" with dash
-- 
2.19.0.216.g2d3b1c576c